Bug 544090 - building cobbler4j source fails
building cobbler4j source fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
wes hayutin
na
:
Depends On:
Blocks: RHQ_Cobbler/RHQ_Cobbler4j
  Show dependency treegraph
 
Reported: 2009-12-03 16:45 EST by wes hayutin
Modified: 2009-12-09 10:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 10:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-12-03 16:45:40 EST
Description of problem:

building cobbler4j source fails.

Getting the following error when building from src from fedora hosted
git sha 16a9c9151f15a92687fbdba6bd76e7612efaf7cc


root@whayutin cobbler4j]# ant
Buildfile: build.xml

clean:
   [delete] Deleting directory /COBBLER/cobbler/cobbler4j/build
   [delete] Deleting directory /COBBLER/cobbler/cobbler4j/src/org/fedorahosted/cobbler/autogen

init:

generateClasses:
     [exec] TEMPLATING object_base.tmpl to src/org/fedorahosted/cobbler/autogen/Distro.java
     [exec] TEMPLATING object_base.tmpl to src/org/fedorahosted/cobbler/autogen/Profile.java
     [exec] TEMPLATING object_base.tmpl to src/org/fedorahosted/cobbler/autogen/SystemRecord.java
     [exec] TEMPLATING object_base.tmpl to src/org/fedorahosted/cobbler/autogen/Repo.java
     [exec] TEMPLATING object_base.tmpl to src/org/fedorahosted/cobbler/autogen/Image.java

build:
    [mkdir] Created dir: /COBBLER/cobbler/cobbler4j/build
    [javac] Compiling 16 source files to /COBBLER/cobbler/cobbler4j/build
    [javac] /COBBLER/cobbler/cobbler4j/src/org/fedorahosted/cobbler/test/Fixture.java:27: cannot find symbol
    [javac] symbol  : variable Config
    [javac] location: class org.fedorahosted.cobbler.test.Fixture
    [javac]         xmlrpc = new CobblerConnection(Config.getHostname(), Config.getUser(),
    [javac]                                        ^
    [javac] /COBBLER/cobbler/cobbler4j/src/org/fedorahosted/cobbler/test/Fixture.java:27: cannot find symbol
    [javac] symbol  : variable Config
    [javac] location: class org.fedorahosted.cobbler.test.Fixture
    [javac]         xmlrpc = new CobblerConnection(Config.getHostname(), Config.getUser(),
    [javac]                                                              ^
    [javac] /COBBLER/cobbler/cobbler4j/src/org/fedorahosted/cobbler/test/Fixture.java:28: cannot find symbol
    [javac] symbol  : variable Config
    [javac] location: class org.fedorahosted.cobbler.test.Fixture
    [javac]                 Config.getPassword());
    [javac]                 ^
    [javac] /COBBLER/cobbler/cobbler4j/src/org/fedorahosted/cobbler/test/RepoTests.java:21: cannot find symbol
    [javac] symbol  : variable Config
    [javac] location: class org.fedorahosted.cobbler.test.RepoTests
    [javac]         testRepo.setMirror("rsync://" + Config.getCentosMirror());
    [javac]                                         ^
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 4 errors

BUILD FAILED
/COBBLER/cobbler/cobbler4j/build.xml:27: Compile failed; see the compiler error output for details.

Total time: 2 seconds
[root@whayutin cobbler4j]#
Comment 1 Devan Goodwin 2009-12-04 08:41:38 EST
My bad, missed a file on a recent commit.

Fixed in 33e4e021ab1bd49a8ecbf27f4185e128f90a6540.

Note You need to log in before you can comment on or make changes to this bug.